# Module cargo::core::compiler::rustdoc

source ·
Expand description

Utilities for building with rustdoc.

## Structs

- RustdocExternMap
  A map of registry names to URLs where documentations are hosted. This is for unstable feature `-Zrustdoc-map`.
- __DeserializeWith 🔒
- __DeserializeWith 🔒
- __FieldVisitor 🔒
- __Visitor 🔒

## Enums

- RustdocExternMode
  Mode used for `std`. This is for unstable feature `-Zrustdoc-map`.
- RustdocScrapeExamples
  Indicates whether a target should have examples scraped from it by rustdoc. Configured within Cargo.toml and only for unstable feature `-Zrustdoc-scrape-examples`.
- __Field 🔒

## Constants

- DOCS_RS_URL 🔒
- FIELDS 🔒

## Functions

- add_root_urls
  Adds unstable flag `--extern-html-root-url` to the given `rustdoc` invocation. This is for unstable feature `-Zrustdoc-map`.
- default_crates_io_to_docs_rs 🔒